Subject: Re: bug#27252: clicking the word Compiling in the mode line

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 23 Jul 2019 19:51:21 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> "Basil L. Contovounesios" <[email-masked]> writes:
>
>>> I'm not sure what the right way to fix this would be...  perhaps stop
>>> pretending it's a minor mode?  But where would be put the lighter then?
>>
>> Would mode-line-process work?
>
> That's a buffer-local variable, and the "Compiling" is shown in all mode
> lines, so that wouldn't work, I think?
>
> Perhaps `global-mode-string' is a good place to put this?

I put it in mode-line-modes, because that's what erc-track did.

And I made it "[Compiling] ", because that's also what erc-track does,
but feel free to bikeshed the look of the ... lighter.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no